//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// Letterbox Mode                                                             //
// By GTA44 (2008)                                                            //
// tux44@msn.com                                                              //
// Do not edit and/or re-release this script without permission from GTA44.   //
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

#include <a_samp>
#define yellow 0xFFFF00AA
new Text:lbt;
new Text:lbb;

public OnFilterScriptInit()
{
	print("\n--------------------------------------");
	print("        Letterbox Mode by GTA44         ");
	print("----------------LOADED----------------\n");

	lbt = TextDrawCreate(-1.000000,2.000000,"---");
	lbb = TextDrawCreate(0.000000,337.000000,"---");
	TextDrawUseBox(lbt,1);
	TextDrawBoxColor(lbt,0x000000ff);
	TextDrawTextSize(lbt,640.000000,-69.000000);
	TextDrawUseBox(lbb,1);
	TextDrawBoxColor(lbb,0x000000ff);
	TextDrawTextSize(lbb,638.000000,-60.000000);
	TextDrawAlignment(lbt,0);
	TextDrawAlignment(lbb,0);
	TextDrawBackgroundColor(lbt,0x000000ff);
	TextDrawBackgroundColor(lbb,0x000000ff);
	TextDrawFont(lbt,3);
	TextDrawLetterSize(lbt,1.000000,12.199999);
	TextDrawFont(lbb,3);
	TextDrawLetterSize(lbb,0.899999,15.000000);
	TextDrawColor(lbt,0x000000ff);
	TextDrawColor(lbb,0x000000ff);
	TextDrawSetOutline(lbt,1);
	TextDrawSetOutline(lbb,1);
	TextDrawSetProportional(lbt,1);
	TextDrawSetProportional(lbb,1);
	TextDrawSetShadow(lbt,1);
	TextDrawSetShadow(lbb,1);
	return 1;
}

public OnFilterScriptExit()
{
	print("\n--------------------------------------");
	print("        Letterbox Mode by GTA44         ");
	print("---------------UNLOADED---------------\n");

	TextDrawHideForAll(lbt);
	TextDrawHideForAll(lbb);
	TextDrawDestroy(lbt);
	TextDrawDestroy(lbb);
	return 1;
}

public OnPlayerConnect(playerid)
{
	SendClientMessage(playerid,yellow,"Type '/lbhelp' to see letterbox options.");
	return 1;
}

public OnPlayerDisconnect(playerid,reason)
{
	TextDrawHideForPlayer(playerid,lbt);
	TextDrawHideForPlayer(playerid,lbb);
	return 1;
}

public OnPlayerCommandText(playerid, cmdtext[])
{
	if (strcmp("/lbhelp", cmdtext, true, 10) == 0)
	{
		SendClientMessage(playerid,yellow,"Type '/lbon' to toggle letterbox mode ON.");
		SendClientMessage(playerid,yellow,"Type '/lboff' to toggle letterbox mode OFF.");
		SendClientMessage(playerid,yellow,"Made by GTA44 (2008).");
		return 1;
	}

	if (strcmp("/lbon", cmdtext, true, 10) == 0)
	{
		TextDrawShowForPlayer(playerid,lbt);
		TextDrawShowForPlayer(playerid,lbb);
		return 1;
	}

	if (strcmp("/lboff", cmdtext, true, 10) == 0)
	{
		TextDrawHideForPlayer(playerid,lbt);
		TextDrawHideForPlayer(playerid,lbb);
		return 1;
	}

	return 0;
}

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// Letterbox Mode                                                             //
// By GTA44 (2008)                                                            //
// tux44@msn.com                                                              //
// Do not edit and/or re-release this script without permission from GTA44.   //
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
